【AF】【EVT】【WIFI】【低概率】输入wifi密码后，点击确认时屏幕未返回wifi搜索界面
2022-09-29 20:44 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-09-29

Priority: Normal Due date: 2022-10-10

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220929.alpha_0025

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221011.alpha_0031

Reproducibility: Occasionally Fixed Version:

Test Type: IT Root cause: 编码问题

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、进入 设置->网络和互联网->点击加密wiif->输入正确密码->点击确认

实际结果：

1、未链接到WIFI，也没有返回wifi搜索页面

预期结果：

1.WIFI链接成功 并返回wifi搜索界面

History

#1 - 2022-10-08 11:04 - CDTS_TEST 王成

- Assignee set to CD FW-王伟

#2 - 2022-10-08 14:33 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD AF-陈羽杰

#3 - 2022-10-08 16:49 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_B sample_20221016 to VX1_MCE_FSE_V2.0_update_20221012

10.12号交付版本与10.15号的是同一个版本

#4 - 2022-10-08 17:48 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#5 - 2022-10-08 18:58 - CD FW-王伟

- Category set to CD-FW

#6 - 2022-10-09 16:10 - CD AF-陈羽杰

- % Done changed from 0 to 60

■ current conclusion

分析中
■ My analysis

final List<Fragment> fragments = getActivity().getSupportFragmentManager().getFragments();

        if (fragments != null) {

            for (Fragment fragment : fragments) {

                fragment.onActivityResult(CONFIG_NETWORK_REQUEST, Activity.RESULT_OK, intent);

            }

        }

        getActivity().getSupportFragmentManager().popBackStackImmediate();

1.如上代码由于fragment.onActivityResult的异步调用，有概率导致还没销毁掉的Fragment再次调用的到自身的onActivityResult，出现递归现象。导

致getSupportFragmentManager().popBackStackImmediate()多回退了一级，使页面显示空白。

■ Next action 

在onActivityResult调用前，结束掉Fragment

#7 - 2022-10-10 18:17 - CD AF-陈羽杰

- Due date set to 2022-10-10

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CDTS_TEST 刘勇

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ current conclusion

本地已验证

■ My analysis

final List<Fragment> fragments = getActivity().getSupportFragmentManager().getFragments();

if (fragments != null) {

for (Fragment fragment : fragments) {

fragment.onActivityResult(CONFIG_NETWORK_REQUEST, Activity.RESULT_OK, intent);

}

}

getActivity().getSupportFragmentManager().popBackStackImmediate();

1.如上代码由于fragment.onActivityResult的异步调用，有概率导致还没销毁掉的Fragment再次调用的到自身的onActivityResult，出现递归现象。导

致getSupportFragmentManager().popBackStackImmediate()多回退了一级，使页面显示空白。

■Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/154352■ current conclusion

#8 - 2022-10-11 15:52 - CDTS_TEST 刘勇

- Subject changed from 【AF】【EVT】【WIFI】【低概率】输入wifi密码后，点击确认是，屏幕未返回wifi搜索界面 to 【AF】【EVT】【WIFI】【低概率

】输入wifi密码后，点击确认时屏幕未返回wifi搜索界面

- Status changed from RESOLVED to VERIFIED

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：
1、进入 设置->网络和互联网->点击加密wiif->输入正确密码->点击确认

实际结果：

1、链接到WIFI，返回wifi搜索页面

测试次数：30/30 ，

测试结果：PASS

#9 - 2022-10-11 15:53 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221011.alpha_0031

#10 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154352 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Wifi Page back to empty1.After entering the wifi password,  click Yes to confirm that the screen does not return to the wifi search interfaceTC-RID:

1201-0201801IssueID: TS-R-BUG-112295Change-Id: I8d82d2536f545e847c944a2bec39030bb56d9132

Files

wifinoexit.txt 35 MB 2022-09-29 CDTS_TEST 刘勇

Screenshot_20220929-162026.png 71 KB 2022-09-29 CDTS_TEST 刘勇
